%{?nodejs_find_provides_and_requires}

%global packagename duplexer2
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 0.1.4
Release: 1%{?dist}.3
Summary: Like duplexer but using streams3
License: BSD
URL: https://github.com/deoxxa/duplexer2
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(readable-stream) >= 2.0.2
BuildRequires: npm(readable-stream) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.2.5
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Like duplexer but using Streams3.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R tap
%endif


%files
%license LICENSE.md
%doc README.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 0.1.4-1
- Initial package.
